Page MenuHomePhabricator

PageviewDefinition should detect /api/rest_v1/page/mobile-html requests as pageviews
Closed, ResolvedPublic

Description

The latest versions of both Android (prod 2020-05-18) and iOS (prod 2020-06-05) mobile apps are using /page/mobile-html to retrieve pages as HTML, those requests should be categorized as pageviews.

Event Timeline

mpopov created this task.Jun 26 2020, 10:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2020, 10:41 PM

Change 608100 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[analytics/refinery/source@master] Label mobile-html endpoint requests as app pageviews

https://gerrit.wikimedia.org/r/608100

Change 608100 merged by jenkins-bot:
[analytics/refinery/source@master] Label mobile-html endpoint requests as app pageviews

https://gerrit.wikimedia.org/r/c/analytics/refinery/source/ /608100

Change 608447 had a related patch set uploaded (by Joal; owner: Joal):
[analytics/refinery@master] Update webrequest hive jar version for pageview-def

https://gerrit.wikimedia.org/r/c/analytics/refinery/ /608447

Change 608447 merged by Ottomata:
[analytics/refinery@master] Update webrequest hive jar version for pageview-def

https://gerrit.wikimedia.org/r/c/analytics/refinery/ /608447

mpopov closed this task as Resolved.Jun 30 2020, 7:48 PM
Nuria added a subscriber: Nuria.EditedJul 6 2020, 11:46 PM

While these changes are in it is worth mentioning that the velocity at which the requests are being fired from the app indicates that some of the requests are not likely to be pageviews. I think it will be worth stepping back and taking the time to define what constitutes a mobile pageview.

JoeWalsh removed a subscriber: JoeWalsh.Jul 13 2020, 4:41 PM